### Method

# EDataCal CalBackend foreach_view_notify_progress

since: 3.34

#### Declaration [src]

    void
    e_cal_backend_foreach_view_notify_progress (
      ECalBackend* backend,
      gboolean only_completed_views,
      gint percent,
      const gchar* message
    )

#### Description [src]

Notifies each view of the `backend` about progress. When `only_completed_views` is `TRUE`, notifies only completed views.

Available since: 3.34

#### Parameters

`only_completed_views`

  Type: `gboolean`

  Whether notify in completed views only.

`percent`

  Type: `gint`

  Percent complete.

`message`

  Type: `const gchar*`

  Message describing the operation in progress, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.